astro query:docs

- Index
- Modules

### Navigation

- « previous
- astroquery v0.4.11 »
- Astroquery query (`astroquery.query`) »
- QueryWithLogin

# QueryWithLogin

class astroquery.query.QueryWithLogin

  Bases: `BaseQuery`

  This is the base class for all the query classes which are required to have a login to access the data.

  The abstract method _login() must be implemented. It is wrapped by the login() method, which turns off the cache. This way, login credentials are not stored in the cache.

  Methods Summary

  `authenticated`() |
  `login`(*args, **kwargs) |

  Methods Documentation

  authenticated()
  login(*args, **kwargs)